class CivilAI extends AIInfo {
  function GetAuthor()      { return "David Dallaston"; }
  function GetName()        { return "CivilAI"; }
  function GetDescription() { return "A general-purpose AI which builds out from a starting location. Uses buses, trucks, trains and aircraft and is friendly to children and small animals."; }
  function GetVersion()     { return 7; }
  function MinVersionToLoad () { return 1; }
  function GetDate()        { return "2018-4-10"; }
  function CreateInstance() { return "CivilAI"; }
  function GetShortName()   { return "CIVL"; }
  function GetAPIVersion()  { return "1.6"; }
  function UseAsRandomAI()  { return true }
  function GetSettings() {
    AddSetting({name = "NetworkRadius", description = "The maximum radius of the road network this AI will build", easy_value = 512, medium_value = 512, hard_value = 512, custom_value = 512, flags = CONFIG_INGAME, step_size = 64, min_value = 64, max_value = 4096});
	AddSetting({name = "MinPop", description = "The minimum town population required for this AI to build a bus network", easy_value = 1000, medium_value = 1000, hard_value = 1000, custom_value = 1000, flags = CONFIG_INGAME, step_size = 250, min_value = 500, max_value = 5000});
	AddSetting({name = "MaxBus", description = "The maximum number of buses this AI will build", easy_value = 250, medium_value = 250, hard_value = 250, custom_value = 250, flags = CONFIG_INGAME, step_size = 50, min_value = 50, max_value = 500});
	AddSetting({name = "MaxCar", description = "The maximum number of town cars this AI will build", easy_value = 500, medium_value = 500, hard_value = 500, custom_value = 500, flags = CONFIG_INGAME, step_size = 100, min_value = 0, max_value = 1000});
//    AddSetting({name = "BuyCar", description = "The maximum number of town cars to build per cycle", easy_value = 30, medium_value = 30, hard_value = 30, custom_value = 30, flags = CONFIG_INGAME, step_size = 10, min_value = 10, max_value = 100});
    AddSetting({name = "TrainRange", description = "The maximum length of cargo routes this AI will build", easy_value = 128, medium_value = 128, hard_value = 128, custom_value = 128, flags = CONFIG_INGAME, step_size = 16, min_value = 48, max_value = 256}); 
    AddSetting({name = "MinAirRange", description = "The minimum length of aircraft routes this AI will build", easy_value = 128, medium_value = 128, hard_value = 128, custom_value = 128, flags = CONFIG_INGAME, step_size = 16, min_value = 48, max_value = 256});
//    AddSetting({name = "BuyPlane", description = "The maximum number of aircraft to build per cycle", easy_value = 2, medium_value = 2, hard_value = 2, custom_value = 2, flags = CONFIG_INGAME, step_size = 1, min_value = 1, max_value = 10});
}  

  
  
}


/* Tell the core we are an AI */


RegisterAI(CivilAI());